Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Functions
objspace.c File Reference
`#include <ruby/io.h>`
`#include "internal.h"`
`#include <ruby/st.h>`
`#include <ruby/re.h>`
`#include "node.h"`
`#include "gc.h"`
`#include "symbol.h"`

Go to the source code of this file.

## Data Structures
struct | total_data
struct | dynamic_symbol_counts
struct | rof_data
struct | rofr_data

## Macros
#define | CASE_TYPE(t) case t: type = ID2SYM(rb_intern(#t)); break;
#define | COUNT_NODE(n) case n: node = ID2SYM(rb_intern(#n)); goto set

## Functions
size_t | rb_sym_immortal_count (void)
void | Init_object_tracing (VALUE rb_mObjSpace)
void | Init_objspace_dump (VALUE rb_mObjSpace)
void | Init_objspace (void)

## Macro Definition Documentation

## ◆ CASE_TYPE

#define CASE_TYPE | ( |  | t | ) | case t: type = ID2SYM(rb_intern(#t)); break;

## ◆ COUNT_NODE

#define COUNT_NODE | ( |  | n | ) | case n: node = ID2SYM(rb_intern(#n)); goto set

## Function Documentation

## ◆ Init_object_tracing()

void Init_object_tracing | ( | VALUE | rb_mObjSpace | ) |

Definition at line 482 of file object_tracing.c.

References rb_define_module(), and rb_define_module_function().

## ◆ Init_objspace()

void Init_objspace | ( | void |  | ) |

Definition at line 943 of file objspace.c.

References rb_cObject, rb_const_get(), rb_define_module(), rb_define_module_function(), and rb_intern.

## ◆ Init_objspace_dump()

void Init_objspace_dump | ( | VALUE | rb_mObjSpace | ) |

Definition at line 499 of file objspace_dump.c.

References rb_define_module(), and rb_define_module_function().

## ◆ rb_sym_immortal_count()

size_t rb_sym_immortal_count | ( | void |  | ) |

Definition at line 848 of file symbol.c.